diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -6590,43 +6594,43 @@ BP
 /Times-Italic@0 SF(string)2.84 E F0(in a)2.72 E/F2 10/Times-Bold@0 SF
 (!?)2.5 E F1(string)A F2([?])A F0(search.)5 E F2(&)108 96 Q F0
 (Repeat the pre)144 96 Q(vious substitution.)-.25 E F2(g)108 108 Q F0
-.397(Cause changes to be applied o)144 108 R -.15(ve)-.15 G 2.897(rt).15
-G .398(he entire e)-2.897 F -.15(ve)-.25 G .398(nt line.).15 F .398
-(This is used in conjunction with `)5.398 F F2(:s)A F0 2.898('\()C
-(e.g.,)-2.898 E(`)144 120 Q F2(:gs/)A F1(old)A F2(/)A F1(ne)A(w)-.15 E
-F2(/)A F0 1.219('\) or `)B F2(:&)A F0 3.719('. If)B 1.219(used with `)
-3.719 F F2(:s)A F0 1.218(', an)B 3.718(yd)-.15 G 1.218
-(elimiter can be used in place of /, and the \214nal)-3.718 F .089
+.398(Cause changes to be applied o)144 108 R -.15(ve)-.15 G 2.898(rt).15
+G .398(he entire e)-2.898 F -.15(ve)-.25 G .398(nt line.).15 F .397
+(This is used in conjunction with `)5.398 F F2(:s)A F0 2.897('\()C
+(e.g.,)-2.897 E(`)144 120 Q F2(:gs/)A F1(old)A F2(/)A F1(ne)A(w)-.15 E
+F2(/)A F0 1.218('\) or `)B F2(:&)A F0 3.718('. If)B 1.218(used with `)
+3.718 F F2(:s)A F0 1.218(', an)B 3.718(yd)-.15 G 1.219
+(elimiter can be used in place of /, and the \214nal)-3.718 F .09
 (delimiter is optional if it is the last character of the e)144 132 R
--.15(ve)-.25 G .09(nt line.).15 F(An)5.09 E F2(a)2.59 E F0 .09
-(may be used as a synon)2.59 F .09(ym for)-.15 F F2(g)144 144 Q F0(.)A
+-.15(ve)-.25 G .089(nt line.).15 F(An)5.089 E F2(a)2.589 E F0 .089
+(may be used as a synon)2.589 F .089(ym for)-.15 F F2(g)144 144 Q F0(.)A
 F2(G)108 156 Q F0(Apply the follo)144 156 Q(wing `)-.25 E F2(s)A F0 2.5
 ('m)C(odi\214er once to each w)-2.5 E(ord in the e)-.1 E -.15(ve)-.25 G
 (nt line.).15 E/F3 10.95/Times-Bold@0 SF(SHELL B)72 172.8 Q(UIL)-.11 E
-(TIN COMMANDS)-1.007 E F0 .063(Unless otherwise noted, each b)108 184.8
+(TIN COMMANDS)-1.007 E F0 .062(Unless otherwise noted, each b)108 184.8
 R .062(uiltin command documented in this section as accepting options p\
 receded by)-.2 F F2<ad>108 196.8 Q F0(accepts)3.077 E F2<adad>3.077 E F0
 .577(to signify the end of the options.)3.077 F(The)5.577 E F2(:)3.077 E
 F0(,)A F2(true)3.077 E F0(,)A F2(false)3.077 E F0 3.077(,a)C(nd)-3.077 E
 F2(test)3.077 E F0(/)A F2([)A F0 -.2(bu)3.077 G .577
-(iltins do not accept options).2 F .462(and do not treat)108 208.8 R F2
+(iltins do not accept options).2 F .461(and do not treat)108 208.8 R F2
 <adad>2.961 E F0(specially)2.961 E 5.461(.T)-.65 G(he)-5.461 E F2(exit)
 2.961 E F0(,)A F2(logout)2.961 E F0(,)A F2 -.18(re)2.961 G(tur).18 E(n)
 -.15 E F0(,)A F2(br)2.961 E(eak)-.18 E F0(,)A F2(continue)2.961 E F0(,)A
 F2(let)2.961 E F0 2.961(,a)C(nd)-2.961 E F2(shift)2.961 E F0 -.2(bu)
-2.961 G .461(iltins accept and).2 F .26(process ar)108 220.8 R .26
-(guments be)-.18 F .26(ginning with)-.15 F F2<ad>2.76 E F0 .261
-(without requiring)2.76 F F2<adad>2.761 E F0 5.261(.O)C .261(ther b)
--5.261 F .261(uiltins that accept ar)-.2 F .261(guments b)-.18 F .261
+2.962 G .462(iltins accept and).2 F .261(process ar)108 220.8 R .261
+(guments be)-.18 F .261(ginning with)-.15 F F2<ad>2.761 E F0 .261
+(without requiring)2.761 F F2<adad>2.761 E F0 5.261(.O)C .261(ther b)
+-5.261 F .26(uiltins that accept ar)-.2 F .26(guments b)-.18 F .26
 (ut are not)-.2 F 1.154(speci\214ed as accepting options interpret ar)
 108 232.8 R 1.154(guments be)-.18 F 1.154(ginning with)-.15 F F2<ad>
 3.654 E F0 1.154(as in)3.654 F -.25(va)-.4 G 1.154
 (lid options and require).25 F F2<adad>3.654 E F0(to)3.654 E(pre)108
 244.8 Q -.15(ve)-.25 G(nt this interpretation.).15 E F2(:)108 262.8 Q F0
-([)2.5 E F1(ar)A(guments)-.37 E F0(])A .451(No ef)144 274.8 R .451
+([)2.5 E F1(ar)A(guments)-.37 E F0(])A .452(No ef)144 274.8 R .452
 (fect; the command does nothing be)-.25 F .452(yond e)-.15 F(xpanding)
--.15 E F1(ar)3.282 E(guments)-.37 E F0 .452(and performing an)3.222 F
-2.952(ys)-.15 G(peci\214ed)-2.952 E 2.5(redirections. The)144 286.8 R
+-.15 E F1(ar)3.282 E(guments)-.37 E F0 .451(and performing an)3.221 F
+2.951(ys)-.15 G(peci\214ed)-2.951 E 2.5(redirections. The)144 286.8 R
 (return status is zero.)2.5 E F2(.)110.5 303.6 Q F1(\214lename)6.666 E
 F0([)2.5 E F1(ar)A(guments)-.37 E F0(])A F2(sour)108 315.6 Q(ce)-.18 E
 F1(\214lename)2.5 E F0([)2.5 E F1(ar)A(guments)-.37 E F0(])A 1.02
@@ -6639,67 +6643,67 @@ F1(\214lename)2.5 E F0([)2.5 E F1(ar)A(guments)-.37 E F0(])A 1.02
 .608(names in)144 351.6 R/F4 9/Times-Bold@0 SF -.666(PA)3.108 G(TH)-.189
 E F0 .608(are used to \214nd the directory containing)2.858 F F1
 (\214lename)3.108 E F0 5.608(.T).18 G .608(he \214le searched for in)
--5.608 F F4 -.666(PA)3.108 G(TH)-.189 E F0 .832(need not be e)144 363.6
-R -.15(xe)-.15 G 3.332(cutable. When).15 F F2(bash)3.332 E F0 .832
-(is not in)3.332 F F1 .832(posix mode)3.332 F F0 3.332(,t)C .833
-(he current directory is searched if no)-3.332 F .982
+-5.608 F F4 -.666(PA)3.108 G(TH)-.189 E F0 .833(need not be e)144 363.6
+R -.15(xe)-.15 G 3.333(cutable. When).15 F F2(bash)3.333 E F0 .832
+(is not in)3.333 F F1 .832(posix mode)3.332 F F0 3.332(,t)C .832
+(he current directory is searched if no)-3.332 F .981
 (\214le is found in)144 375.6 R F4 -.666(PA)3.481 G(TH)-.189 E/F5 9
 /Times-Roman@0 SF(.)A F0 .981(If the)5.481 F F2(sour)3.481 E(cepath)-.18
 E F0 .981(option to the)3.481 F F2(shopt)3.481 E F0 -.2(bu)3.481 G .981
-(iltin command is turned of).2 F .981(f, the)-.25 F F4 -.666(PA)144
-387.6 S(TH)-.189 E F0 .112(is not searched.)2.362 F .112(If an)5.112 F
+(iltin command is turned of).2 F .982(f, the)-.25 F F4 -.666(PA)144
+387.6 S(TH)-.189 E F0 .112(is not searched.)2.363 F .112(If an)5.112 F
 (y)-.15 E F1(ar)2.612 E(guments)-.37 E F0 .112(are supplied, the)2.612 F
 2.612(yb)-.15 G .112(ecome the positional parameters when)-2.612 F F1
-(\214lename)144 399.6 Q F0 1.697(is e)4.197 F -.15(xe)-.15 G 4.197
+(\214lename)144 399.6 Q F0 1.697(is e)4.196 F -.15(xe)-.15 G 4.197
 (cuted. Otherwise).15 F 1.697(the positional parameters are unchanged.)
-4.197 F 1.697(If the)6.697 F F2<ad54>4.197 E F0 1.696(option is)4.197 F
-(enabled,)144 411.6 Q F2(sour)3.617 E(ce)-.18 E F0 1.117(inherits an)
-3.617 F 3.617(yt)-.15 G 1.117(rap on)-3.617 F F2(DEB)3.617 E(UG)-.1 E F0
+4.197 F 1.697(If the)6.697 F F2<ad54>4.197 E F0 1.697(option is)4.197 F
+(enabled,)144 411.6 Q F2(sour)3.618 E(ce)-.18 E F0 1.118(inherits an)
+3.618 F 3.618(yt)-.15 G 1.118(rap on)-3.618 F F2(DEB)3.618 E(UG)-.1 E F0
 3.618(;i)C 3.618(fi)-3.618 G 3.618(ti)-3.618 G 3.618(sn)-3.618 G 1.118
-(ot, an)-3.618 F(y)-.15 E F2(DEB)3.618 E(UG)-.1 E F0 1.118
-(trap string is sa)3.618 F -.15(ve)-.2 G 3.618(da).15 G(nd)-3.618 E .36
+(ot, an)-3.618 F(y)-.15 E F2(DEB)3.617 E(UG)-.1 E F0 1.117
+(trap string is sa)3.617 F -.15(ve)-.2 G 3.617(da).15 G(nd)-3.617 E .36
 (restored around the call to)144 423.6 R F2(sour)2.86 E(ce)-.18 E F0
 2.86(,a)C(nd)-2.86 E F2(sour)2.86 E(ce)-.18 E F0 .36(unsets the)2.86 F
 F2(DEB)2.86 E(UG)-.1 E F0 .36(trap while it e)2.86 F -.15(xe)-.15 G 2.86
 (cutes. If).15 F F2<ad54>2.86 E F0(is)2.86 E 1.435
 (not set, and the sourced \214le changes the)144 435.6 R F2(DEB)3.935 E
 (UG)-.1 E F0 1.435(trap, the ne)3.935 F 3.935(wv)-.25 G 1.435
-(alue is retained when)-4.185 F F2(sour)3.935 E(ce)-.18 E F0 3.763
+(alue is retained when)-4.185 F F2(sour)3.935 E(ce)-.18 E F0 3.762
 (completes. The)144 447.6 R 1.262
-(return status is the status of the last command e)3.763 F 1.262
+(return status is the status of the last command e)3.762 F 1.263
 (xited within the script \(0 if no)-.15 F(commands are e)144 459.6 Q
 -.15(xe)-.15 G(cuted\), and f).15 E(alse if)-.1 E F1(\214lename)4.41 E
 F0(is not found or cannot be read.)2.68 E F2(alias)108 476.4 Q F0([)2.5
 E F2<ad70>A F0 2.5(][)C F1(name)-2.5 E F0([=)A F1(value)A F0 2.5(].)C
-(..])-2.5 E F2(Alias)144 488.4 Q F0 2.724(with no ar)5.224 F 2.724
+(..])-2.5 E F2(Alias)144 488.4 Q F0 2.725(with no ar)5.225 F 2.724
 (guments or with the)-.18 F F2<ad70>5.224 E F0 2.724
-(option prints the list of aliases in the form)5.224 F F2(alias)5.225 E
+(option prints the list of aliases in the form)5.224 F F2(alias)5.224 E
 F1(name)144 500.4 Q F0(=)A F1(value)A F0 .58(on standard output.)3.08 F
 .58(When ar)5.58 F .58
 (guments are supplied, an alias is de\214ned for each)-.18 F F1(name)
-3.08 E F0(whose)144 512.4 Q F1(value)2.508 E F0 .009(is gi)2.508 F -.15
+3.08 E F0(whose)144 512.4 Q F1(value)2.509 E F0 .009(is gi)2.509 F -.15
 (ve)-.25 G 2.509(n. A).15 F .009(trailing space in)2.509 F F1(value)
 2.509 E F0 .009(causes the ne)2.509 F .009(xt w)-.15 F .009
-(ord to be check)-.1 F .009(ed for alias substi-)-.1 F .579
+(ord to be check)-.1 F .008(ed for alias substi-)-.1 F .579
 (tution when the alias is e)144 524.4 R 3.079(xpanded. F)-.15 F .579
 (or each)-.15 F F1(name)3.079 E F0 .579(in the ar)3.079 F .579
-(gument list for which no)-.18 F F1(value)3.079 E F0 .578(is sup-)3.078
-F 1.313(plied, the name and v)144 536.4 R 1.314
+(gument list for which no)-.18 F F1(value)3.079 E F0 .579(is sup-)3.079
+F 1.314(plied, the name and v)144 536.4 R 1.314
 (alue of the alias is printed.)-.25 F F2(Alias)6.314 E F0 1.314
-(returns true unless a)3.814 F F1(name)3.814 E F0 1.314(is gi)3.814 F
--.15(ve)-.25 G 3.814(nf).15 G(or)-3.814 E
+(returns true unless a)3.814 F F1(name)3.814 E F0 1.313(is gi)3.814 F
+-.15(ve)-.25 G 3.813(nf).15 G(or)-3.813 E
 (which no alias has been de\214ned.)144 548.4 Q F2(bg)108 565.2 Q F0([)
-2.5 E F1(jobspec)A F0(...])2.5 E .745(Resume each suspended job)144
-577.2 R F1(jobspec)3.245 E F0 .745
-(in the background, as if it had been started with)3.245 F F2(&)3.244 E
-F0 5.744(.I)C(f)-5.744 E F1(job-)4.984 E(spec)144 589.2 Q F0 .671
-(is not present, the shell')3.481 F 3.171(sn)-.55 G .672(otion of the)
--3.171 F F1(curr)3.172 E .672(ent job)-.37 F F0 .672(is used.)3.172 F F2
-(bg)5.672 E F1(jobspec)4.912 E F0 .672(returns 0 unless run)3.482 F .419
+2.5 E F1(jobspec)A F0(...])2.5 E .744(Resume each suspended job)144
+577.2 R F1(jobspec)3.244 E F0 .745
+(in the background, as if it had been started with)3.244 F F2(&)3.245 E
+F0 5.745(.I)C(f)-5.745 E F1(job-)4.985 E(spec)144 589.2 Q F0 .672
+(is not present, the shell')3.482 F 3.172(sn)-.55 G .672(otion of the)
+-3.172 F F1(curr)3.172 E .672(ent job)-.37 F F0 .672(is used.)3.172 F F2
+(bg)5.671 E F1(jobspec)4.911 E F0 .671(returns 0 unless run)3.481 F .418
 (when job control is disabled or)144 601.2 R 2.919(,w)-.4 G .419
-(hen run with job control enabled, an)-2.919 F 2.918(ys)-.15 G
-(peci\214ed)-2.918 E F1(jobspec)2.918 E F0 -.1(wa)2.918 G 2.918(sn).1 G
-(ot)-2.918 E(found or w)144 613.2 Q(as started without job control.)-.1
+(hen run with job control enabled, an)-2.919 F 2.919(ys)-.15 G
+(peci\214ed)-2.919 E F1(jobspec)2.919 E F0 -.1(wa)2.919 G 2.919(sn).1 G
+(ot)-2.919 E(found or w)144 613.2 Q(as started without job control.)-.1
 E F2(bind)108 630 Q F0([)2.5 E F2<ad6d>A F1 -.1(ke)2.5 G(ymap)-.2 E F0
 2.5(][)C F2(\255lpsvPSVX)-2.5 E F0(])A F2(bind)108 642 Q F0([)2.5 E F2
 <ad6d>A F1 -.1(ke)2.5 G(ymap)-.2 E F0 2.5(][)C F2<ad71>-2.5 E F1
@@ -6712,17 +6716,17 @@ F2<ad72>-2.5 E F1 -.1(ke)2.5 G(yseq)-.2 E F0(])A F2(bind)108 654 Q F0([)
 G(ymap)-.2 E F0(])A F1 -.1(ke)2.5 G(yseq)-.2 E F0(:)A F1
 (function\255name)A F2(bind)108 690 Q F0([)2.5 E F2<ad6d>A F1 -.1(ke)2.5
 G(ymap)-.2 E F0(])A F1 -.1(ke)2.5 G(yseq)-.2 E F0(:)A F1 -.37(re)C
-(adline\255command).37 E F0 .238(Display current)144 702 R F2 -.18(re)
-2.738 G(adline).18 E F0 -.1(ke)2.738 G 2.738(ya)-.05 G .239
-(nd function bindings, bind a k)-2.738 F .539 -.15(ey s)-.1 H .239
-(equence to a).15 F F2 -.18(re)2.739 G(adline).18 E F0 .239(function or)
-2.739 F .476(macro, or set a)144 714 R F2 -.18(re)2.976 G(adline).18 E
-F0 -.25(va)2.976 G 2.976(riable. Each).25 F .476(non-option ar)2.976 F
-.475(gument is a command as it w)-.18 F .475(ould appear in)-.1 F F1
-(.inputr)144 726 Q(c)-.37 E F0 2.983(,b).31 G .484
-(ut each binding or command must be passed as a separate ar)-3.183 F
-.484(gument; e.g., '"\\C\255x\\C\255r":)-.18 F(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(55)197.335 E 0 Cg EP
+(adline\255command).37 E F0 .239(Display current)144 702 R F2 -.18(re)
+2.739 G(adline).18 E F0 -.1(ke)2.739 G 2.739(ya)-.05 G .239
+(nd function bindings, bind a k)-2.739 F .539 -.15(ey s)-.1 H .238
+(equence to a).15 F F2 -.18(re)2.738 G(adline).18 E F0 .238(function or)
+2.738 F .475(macro, or set a)144 714 R F2 -.18(re)2.975 G(adline).18 E
+F0 -.25(va)2.975 G 2.975(riable. Each).25 F .476(non-option ar)2.976 F
+.476(gument is a command as it w)-.18 F .476(ould appear in)-.1 F F1
+(.inputr)144 726 Q(c)-.37 E F0 2.984(,b).31 G .484
+(ut each binding or command must be passed as a separate ar)-3.184 F
+.483(gument; e.g., '"\\C\255x\\C\255r":)-.18 F(GNU Bash 4.4)72 768 Q
+(2017 October 7)143.735 E(55)192.895 E 0 Cg EP
 %%Page: 56 56
 %%BeginPageSetup
 BP
@@ -6732,16 +6736,16 @@ BP
 (re\255read\255init\255\214le'. Options,)144 84 R(if supplied, ha)2.5 E
 .3 -.15(ve t)-.2 H(he follo).15 E(wing meanings:)-.25 E/F1 10
 /Times-Bold@0 SF<ad6d>144 96 Q/F2 10/Times-Italic@0 SF -.1(ke)2.5 G
-(ymap)-.2 E F0(Use)180 108 Q F2 -.1(ke)5.159 G(ymap)-.2 E F0 2.659
-(as the k)5.349 F -.15(ey)-.1 G 2.658(map to be af).15 F 2.658
-(fected by the subsequent bindings.)-.25 F(Acceptable)7.658 E F2 -.1(ke)
-180 120 S(ymap)-.2 E F0 3.192(names are)5.882 F F2 3.192
-(emacs, emacs\255standar)5.692 F 3.193
+(ymap)-.2 E F0(Use)180 108 Q F2 -.1(ke)5.158 G(ymap)-.2 E F0 2.658
+(as the k)5.348 F -.15(ey)-.1 G 2.658(map to be af).15 F 2.659
+(fected by the subsequent bindings.)-.25 F(Acceptable)7.659 E F2 -.1(ke)
+180 120 S(ymap)-.2 E F0 3.193(names are)5.883 F F2 3.193
+(emacs, emacs\255standar)5.693 F 3.192
 (d, emacs\255meta, emacs\255ctlx, vi, vi\255mo)-.37 F(ve)-.1 E(,)-.1 E
-(vi\255command)180 132 Q F0 4.114(,a)C(nd)-4.114 E F2(vi\255insert)4.114
-E F0(.).68 E F2(vi)6.614 E F0 1.613(is equi)4.114 F -.25(va)-.25 G 1.613
+(vi\255command)180 132 Q F0 4.113(,a)C(nd)-4.113 E F2(vi\255insert)4.113
+E F0(.).68 E F2(vi)6.613 E F0 1.613(is equi)4.113 F -.25(va)-.25 G 1.613
 (lent to).25 F F2(vi\255command)4.113 E F0(\()4.113 E F2(vi\255mo)A(ve)
--.1 E F0 1.613(is also a syn-)4.113 F(on)180 144 Q(ym\);)-.15 E F2
+-.1 E F0 1.614(is also a syn-)4.114 F(on)180 144 Q(ym\);)-.15 E F2
 (emacs)2.5 E F0(is equi)2.5 E -.25(va)-.25 G(lent to).25 E F2
 (emacs\255standar)2.5 E(d)-.37 E F0(.)A F1<ad6c>144 156 Q F0
 (List the names of all)180 156 Q F1 -.18(re)2.5 G(adline).18 E F0
@@ -6774,164 +6778,164 @@ E F2(function)2.5 E F0(.)A F1<ad75>144 300 Q F2(function)2.5 E F0
 180 360 Q F2(shell\255command)4.325 E F0 1.825(to be e)4.325 F -.15(xe)
 -.15 G 1.825(cuted whene).15 F -.15(ve)-.25 G(r).15 E F2 -.1(ke)4.325 G
 (yseq)-.2 E F0 1.825(is entered.)4.325 F(When)6.825 E F2(shell\255com-)
-4.325 E(mand)180 372 Q F0 1.764(is e)4.264 F -.15(xe)-.15 G 1.765
+4.325 E(mand)180 372 Q F0 1.765(is e)4.265 F -.15(xe)-.15 G 1.765
 (cuted, the shell sets the).15 F/F3 9/Times-Bold@0 SF(READLINE_LINE)
 4.265 E F0 -.25(va)4.015 G 1.765(riable to the contents of the).25 F F1
--.18(re)180 384 S(adline).18 E F0 1.353(line b)3.853 F(uf)-.2 E 1.353
+-.18(re)180 384 S(adline).18 E F0 1.353(line b)3.852 F(uf)-.2 E 1.353
 (fer and the)-.25 F F3(READLINE_POINT)3.853 E F0 -.25(va)3.603 G 1.353
-(riable to the current location of the).25 F 2.011(insertion point.)180
-396 R 2.011(If the e)7.011 F -.15(xe)-.15 G 2.011
+(riable to the current location of the).25 F 2.012(insertion point.)180
+396 R 2.011(If the e)7.012 F -.15(xe)-.15 G 2.011
 (cuted command changes the v).15 F 2.011(alue of)-.25 F F3
-(READLINE_LINE)4.512 E F0(or)4.262 E F3(READLINE_POINT)180 408 Q/F4 9
+(READLINE_LINE)4.511 E F0(or)4.261 E F3(READLINE_POINT)180 408 Q/F4 9
 /Times-Roman@0 SF(,)A F0(those ne)2.25 E 2.5(wv)-.25 G
 (alues will be re\215ected in the editing state.)-2.75 E F1<ad58>144 420
-Q F0 .83(List all k)180 420 R 1.13 -.15(ey s)-.1 H .829
+Q F0 .829(List all k)180 420 R 1.129 -.15(ey s)-.1 H .829
 (equences bound to shell commands and the associated commands in a for)
 .15 F(-)-.2 E(mat that can be reused as input.)180 432 Q(The return v)
 144 448.8 Q(alue is 0 unless an unrecognized option is gi)-.25 E -.15
 (ve)-.25 G 2.5(no).15 G 2.5(ra)-2.5 G 2.5(ne)-2.5 G(rror occurred.)-2.5
-E F1(br)108 465.6 Q(eak)-.18 E F0([)2.5 E F2(n)A F0(])A .054
-(Exit from within a)144 477.6 R F1 -.25(fo)2.554 G(r).25 E F0(,)A F1
-(while)2.554 E F0(,)A F1(until)2.555 E F0 2.555(,o)C(r)-2.555 E F1
+E F1(br)108 465.6 Q(eak)-.18 E F0([)2.5 E F2(n)A F0(])A .055
+(Exit from within a)144 477.6 R F1 -.25(fo)2.555 G(r).25 E F0(,)A F1
+(while)2.555 E F0(,)A F1(until)2.555 E F0 2.555(,o)C(r)-2.555 E F1
 (select)2.555 E F0 2.555(loop. If)2.555 F F2(n)2.555 E F0 .055
 (is speci\214ed, break)2.555 F F2(n)2.555 E F0(le)2.555 E -.15(ve)-.25 G
-(ls.).15 E F2(n)5.415 E F0 .055(must be)2.795 F/F5 10/Symbol SF<b3>2.555
-E F0(1.)2.555 E(If)144 489.6 Q F2(n)3.075 E F0 .215(is greater than the\
- number of enclosing loops, all enclosing loops are e)2.955 F 2.714
-(xited. The)-.15 F .214(return v)2.714 F(alue)-.25 E(is 0 unless)144
+(ls.).15 E F2(n)5.414 E F0 .054(must be)2.794 F/F5 10/Symbol SF<b3>2.554
+E F0(1.)2.554 E(If)144 489.6 Q F2(n)3.074 E F0 .215(is greater than the\
+ number of enclosing loops, all enclosing loops are e)2.954 F 2.715
+(xited. The)-.15 F .215(return v)2.715 F(alue)-.25 E(is 0 unless)144
 501.6 Q F2(n)2.5 E F0(is not greater than or equal to 1.)2.5 E F1 -.2
 (bu)108 518.4 S(iltin).2 E F2(shell\255b)2.5 E(uiltin)-.2 E F0([)2.5 E
-F2(ar)A(guments)-.37 E F0(])A(Ex)144 530.4 Q .792
-(ecute the speci\214ed shell b)-.15 F .792(uiltin, passing it)-.2 F F2
+F2(ar)A(guments)-.37 E F0(])A(Ex)144 530.4 Q .793
+(ecute the speci\214ed shell b)-.15 F .793(uiltin, passing it)-.2 F F2
 (ar)3.293 E(guments)-.37 E F0 3.293(,a).27 G .793(nd return its e)-3.293
-F .793(xit status.)-.15 F .793(This is useful)5.793 F .616
+F .792(xit status.)-.15 F .792(This is useful)5.792 F .615
 (when de\214ning a function whose name is the same as a shell b)144
-542.4 R .615(uiltin, retaining the functionality of)-.2 F .57(the b)144
+542.4 R .616(uiltin, retaining the functionality of)-.2 F .57(the b)144
 554.4 R .57(uiltin within the function.)-.2 F(The)5.57 E F1(cd)3.07 E F0
 -.2(bu)3.07 G .57(iltin is commonly rede\214ned this w).2 F(ay)-.1 E
 5.57(.T)-.65 G .57(he return status)-5.57 F(is f)144 566.4 Q(alse if)-.1
 E F2(shell\255b)2.84 E(uiltin)-.2 E F0(is not a shell b)2.74 E
 (uiltin command.)-.2 E F1(caller)108 583.2 Q F0([)2.5 E F2 -.2(ex)C(pr)
-.2 E F0(])A .254(Returns the conte)144 595.2 R .254(xt of an)-.15 F
+.2 E F0(])A .253(Returns the conte)144 595.2 R .254(xt of an)-.15 F
 2.754(ya)-.15 G(cti)-2.754 E .554 -.15(ve s)-.25 H .254
 (ubroutine call \(a shell function or a script e).15 F -.15(xe)-.15 G
-.254(cuted with the).15 F F1(.)2.753 E F0(or)2.753 E F1(sour)144 607.2 Q
-(ce)-.18 E F0 -.2(bu)2.824 G 2.824(iltins\). W).2 F(ithout)-.4 E F2 -.2
-(ex)2.824 G(pr).2 E F0(,)A F1(caller)2.824 E F0 .324
+.254(cuted with the).15 F F1(.)2.754 E F0(or)2.754 E F1(sour)144 607.2 Q
+(ce)-.18 E F0 -.2(bu)2.825 G 2.825(iltins\). W).2 F(ithout)-.4 E F2 -.2
+(ex)2.825 G(pr).2 E F0(,)A F1(caller)2.825 E F0 .324
 (displays the line number and source \214lename of the current)2.824 F
-.254(subroutine call.)144 619.2 R .254(If a non-ne)5.254 F -.05(ga)-.15
-G(ti).05 E .554 -.15(ve i)-.25 H(nte).15 E .253(ger is supplied as)-.15
-F F2 -.2(ex)2.753 G(pr).2 E F0(,)A F1(caller)2.753 E F0 .253
-(displays the line number)2.753 F 2.753(,s)-.4 G(ub-)-2.753 E 1.327(rou\
+.253(subroutine call.)144 619.2 R .253(If a non-ne)5.253 F -.05(ga)-.15
+G(ti).05 E .553 -.15(ve i)-.25 H(nte).15 E .253(ger is supplied as)-.15
+F F2 -.2(ex)2.753 G(pr).2 E F0(,)A F1(caller)2.753 E F0 .254
+(displays the line number)2.754 F 2.754(,s)-.4 G(ub-)-2.754 E 1.327(rou\
 tine name, and source \214le corresponding to that position in the curr\
-ent e)144 631.2 R -.15(xe)-.15 G 1.328(cution call stack.).15 F .001
-(This e)144 643.2 R .001(xtra information may be used, for e)-.15 F .001
-(xample, to print a stack trace.)-.15 F(The current frame is frame)5 E
-3.019(0. The)144 655.2 R .519(return v)3.019 F .519
-(alue is 0 unless the shell is not e)-.25 F -.15(xe)-.15 G .52
-(cuting a subroutine call or).15 F F2 -.2(ex)3.02 G(pr).2 E F0 .52
-(does not corre-)3.02 F(spond to a v)144 667.2 Q
+ent e)144 631.2 R -.15(xe)-.15 G 1.327(cution call stack.).15 F(This e)
+144 643.2 Q(xtra information may be used, for e)-.15 E .001
+(xample, to print a stack trace.)-.15 F .001(The current frame is frame)
+5.001 F 3.02(0. The)144 655.2 R .52(return v)3.02 F .52
+(alue is 0 unless the shell is not e)-.25 F -.15(xe)-.15 G .519
+(cuting a subroutine call or).15 F F2 -.2(ex)3.019 G(pr).2 E F0 .519
+(does not corre-)3.019 F(spond to a v)144 667.2 Q
 (alid position in the call stack.)-.25 E F1(cd)108 684 Q F0([)2.5 E F1
 <ad4c>A F0(|[)A F1<ad50>A F0([)2.5 E F1<ad65>A F0(]] [\255@]] [)A F2
-(dir)A F0(])A .322(Change the current directory to)144 696 R F2(dir)
-2.822 E F0 5.322(.i)C(f)-5.322 E F2(dir)2.822 E F0 .321
-(is not supplied, the v)2.822 F .321(alue of the)-.25 F F3(HOME)2.821 E
-F0 .321(shell v)2.571 F .321(ariable is)-.25 F 1.035(the def)144 708 R
-3.535(ault. An)-.1 F 3.535(ya)-.15 G 1.035(dditional ar)-3.535 F 1.035
+(dir)A F0(])A .321(Change the current directory to)144 696 R F2(dir)
+2.821 E F0 5.321(.i)C(f)-5.321 E F2(dir)2.821 E F0 .322
+(is not supplied, the v)2.821 F .322(alue of the)-.25 F F3(HOME)2.822 E
+F0 .322(shell v)2.572 F .322(ariable is)-.25 F 1.036(the def)144 708 R
+3.536(ault. An)-.1 F 3.536(ya)-.15 G 1.035(dditional ar)-3.536 F 1.035
 (guments follo)-.18 F(wing)-.25 E F2(dir)3.535 E F0 1.035(are ignored.)
-3.535 F 1.036(The v)6.035 F(ariable)-.25 E F3(CDP)3.536 E -.855(AT)-.666
-G(H).855 E F0(de\214nes)3.286 E .85
-(the search path for the directory containing)144 720 R F2(dir)3.35 E F0
-3.35(:e).73 G .849(ach directory name in)-3.35 F F3(CDP)3.349 E -.855
-(AT)-.666 G(H).855 E F0 .849(is searched for)3.099 F(GNU Bash 4.4)72 768
-Q(2017 June 23)148.175 E(56)197.335 E 0 Cg EP
+3.535 F 1.035(The v)6.035 F(ariable)-.25 E F3(CDP)3.535 E -.855(AT)-.666
+G(H).855 E F0(de\214nes)3.285 E .849
+(the search path for the directory containing)144 720 R F2(dir)3.349 E
+F0 3.35(:e).73 G .85(ach directory name in)-3.35 F F3(CDP)3.35 E -.855
+(AT)-.666 G(H).855 E F0 .85(is searched for)3.1 F(GNU Bash 4.4)72 768 Q
+(2017 October 7)143.735 E(56)192.895 E 0 Cg EP
 %%Page: 57 57
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10
-/Times-Italic@0 SF(dir)144 84 Q F0 5.664(.A)C(lternati)-5.664 E .964
+/Times-Italic@0 SF(dir)144 84 Q F0 5.665(.A)C(lternati)-5.665 E .965
 -.15(ve d)-.25 H .665(irectory names in).15 F/F2 9/Times-Bold@0 SF(CDP)
 3.165 E -.855(AT)-.666 G(H).855 E F0 .665
-(are separated by a colon \(:\).)2.915 F 3.165(An)5.665 G .665
-(ull directory name)-3.165 F(in)144 96 Q F2(CDP)4.163 E -.855(AT)-.666 G
-(H).855 E F0 1.663(is the same as the current directory)3.913 F 4.162
+(are separated by a colon \(:\).)2.915 F 3.165(An)5.665 G .664
+(ull directory name)-3.165 F(in)144 96 Q F2(CDP)4.162 E -.855(AT)-.666 G
+(H).855 E F0 1.662(is the same as the current directory)3.912 F 4.162
 (,i)-.65 G 1.662(.e., `)-4.162 F(`)-.74 E/F3 10/Times-Bold@0 SF(.)A F0
--.74('')C 6.662(.I).74 G(f)-6.662 E F1(dir)4.512 E F0(be)4.892 E 1.662
+-.74('')C 6.662(.I).74 G(f)-6.662 E F1(dir)4.513 E F0(be)4.893 E 1.663
 (gins with a slash \(/\), then)-.15 F F2(CDP)144 108 Q -.855(AT)-.666 G
-(H).855 E F0 .19(is not used.)2.44 F(The)5.191 E F3<ad50>2.691 E F0 .191
-(option causes)2.691 F F3(cd)2.691 E F0 .191(to use the ph)2.691 F .191
-(ysical directory structure by resolving)-.05 F 1.12
+(H).855 E F0 .191(is not used.)2.441 F(The)5.191 E F3<ad50>2.691 E F0
+.191(option causes)2.691 F F3(cd)2.691 E F0 .191(to use the ph)2.691 F
+.19(ysical directory structure by resolving)-.05 F 1.12
 (symbolic links while tra)144 120 R -.15(ve)-.2 G(rsing).15 E F1(dir)
 3.62 E F0 1.12(and before processing instances of)3.62 F F1(..)3.62 E F0
 (in)3.62 E F1(dir)3.62 E F0 1.12(\(see also the)3.62 F F3<ad50>3.62 E F0
 .395(option to the)144 132 R F3(set)2.895 E F0 -.2(bu)2.895 G .395
 (iltin command\); the).2 F F3<ad4c>2.895 E F0 .395
 (option forces symbolic links to be follo)2.895 F .395(wed by resolv-)
--.25 F .444(ing the link after processing instances of)144 144 R F1(..)
+-.25 F .443(ing the link after processing instances of)144 144 R F1(..)
 2.943 E F0(in)2.943 E F1(dir)2.943 E F0 5.443(.I)C(f)-5.443 E F1(..)
 2.943 E F0 .443(appears in)2.943 F F1(dir)2.943 E F0 2.943(,i)C 2.943
-(ti)-2.943 G 2.943(sp)-2.943 G .443(rocessed by remo)-2.943 F(ving)-.15
+(ti)-2.943 G 2.944(sp)-2.943 G .444(rocessed by remo)-2.944 F(ving)-.15
 E .744(the immediately pre)144 156 R .744(vious pathname component from)
 -.25 F F1(dir)3.244 E F0 3.244(,b)C .744(ack to a slash or the be)-3.244
-F .744(ginning of)-.15 F F1(dir)3.244 E F0(.)A 1.466(If the)144 168 R F3
-<ad65>3.966 E F0 1.466(option is supplied with)3.966 F F3<ad50>3.965 E
-F0 3.965(,a)C 1.465(nd the current w)-3.965 F 1.465
-(orking directory cannot be successfully)-.1 F .467
+F .744(ginning of)-.15 F F1(dir)3.244 E F0(.)A 1.465(If the)144 168 R F3
+<ad65>3.965 E F0 1.465(option is supplied with)3.965 F F3<ad50>3.965 E
+F0 3.965(,a)C 1.465(nd the current w)-3.965 F 1.466
+(orking directory cannot be successfully)-.1 F .468
 (determined after a successful directory change,)144 180 R F3(cd)2.968 E
-F0 .468(will return an unsuccessful status.)2.968 F .468(On systems)
-5.468 F .337(that support it, the)144 192 R F3<ad40>2.837 E F0 .336
-(option presents the e)2.836 F .336(xtended attrib)-.15 F .336
+F0 .468(will return an unsuccessful status.)2.968 F .467(On systems)
+5.467 F .336(that support it, the)144 192 R F3<ad40>2.836 E F0 .336
+(option presents the e)2.836 F .336(xtended attrib)-.15 F .337
 (utes associated with a \214le as a directory)-.2 F(.)-.65 E .71(An ar)
 144 204 R .71(gument of)-.18 F F3<ad>3.21 E F0 .71(is con)3.21 F -.15
 (ve)-.4 G .71(rted to).15 F F2($OLDPWD)3.21 E F0 .71
 (before the directory change is attempted.)2.96 F .71(If a non-)5.71 F
-.107(empty directory name from)144 216 R F2(CDP)2.607 E -.855(AT)-.666 G
-(H).855 E F0 .107(is used, or if)2.357 F F3<ad>2.607 E F0 .106
-(is the \214rst ar)2.607 F .106(gument, and the directory change)-.18 F
+.106(empty directory name from)144 216 R F2(CDP)2.606 E -.855(AT)-.666 G
+(H).855 E F0 .107(is used, or if)2.356 F F3<ad>2.607 E F0 .107
+(is the \214rst ar)2.607 F .107(gument, and the directory change)-.18 F
 .038(is successful, the absolute pathname of the ne)144 228 R 2.538(ww)
 -.25 G .038(orking directory is written to the standard output.)-2.638 F
 (The return v)144 240 Q(alue is true if the directory w)-.25 E
 (as successfully changed; f)-.1 E(alse otherwise.)-.1 E F3(command)108
 256.8 Q F0([)2.5 E F3(\255pVv)A F0(])A F1(command)2.5 E F0([)2.5 E F1
-(ar)A(g)-.37 E F0(...])2.5 E(Run)144 268.8 Q F1(command)2.765 E F0(with)
-3.335 E F1(ar)2.895 E(gs)-.37 E F0 .065
-(suppressing the normal shell function lookup.)2.835 F .064(Only b)5.064
-F .064(uiltin commands or)-.2 F .501(commands found in the)144 280.8 R
-F2 -.666(PA)3.001 G(TH)-.189 E F0 .502(are e)2.751 F -.15(xe)-.15 G
+(ar)A(g)-.37 E F0(...])2.5 E(Run)144 268.8 Q F1(command)2.764 E F0(with)
+3.334 E F1(ar)2.894 E(gs)-.37 E F0 .065
+(suppressing the normal shell function lookup.)2.834 F .065(Only b)5.065
+F .065(uiltin commands or)-.2 F .502(commands found in the)144 280.8 R
+F2 -.666(PA)3.002 G(TH)-.189 E F0 .502(are e)2.752 F -.15(xe)-.15 G
 3.002(cuted. If).15 F(the)3.002 E F3<ad70>3.002 E F0 .502(option is gi)
-3.002 F -.15(ve)-.25 G .502(n, the search for).15 F F1(command)3.202 E
-F0(is)3.772 E .4(performed using a def)144 292.8 R .4(ault v)-.1 F .4
-(alue for)-.25 F F2 -.666(PA)2.9 G(TH)-.189 E F0 .399
+3.002 F -.15(ve)-.25 G .501(n, the search for).15 F F1(command)3.201 E
+F0(is)3.771 E .399(performed using a def)144 292.8 R .399(ault v)-.1 F
+.399(alue for)-.25 F F2 -.666(PA)2.899 G(TH)-.189 E F0 .4
 (that is guaranteed to \214nd all of the standard utilities.)2.649 F(If)
-5.399 E .174(either the)144 304.8 R F3<ad56>2.674 E F0(or)2.674 E F3
-<ad76>2.674 E F0 .175(option is supplied, a description of)2.674 F F1
-(command)2.875 E F0 .175(is printed.)3.445 F(The)5.175 E F3<ad76>2.675 E
-F0 .175(option causes)2.675 F 3.318(as)144 316.8 S .818(ingle w)-3.318 F
-.817(ord indicating the command or \214lename used to in)-.1 F -.2(vo)
--.4 G -.1(ke).2 G F1(command)3.617 E F0 .817(to be displayed; the)4.087
-F F3<ad56>144 328.8 Q F0 .249(option produces a more v)2.749 F .249
-(erbose description.)-.15 F .249(If the)5.249 F F3<ad56>2.749 E F0(or)
-2.749 E F3<ad76>2.75 E F0 .25(option is supplied, the e)2.75 F .25
-(xit status)-.15 F 1.005(is 0 if)144 340.8 R F1(command)3.705 E F0 -.1
-(wa)4.275 G 3.505(sf).1 G 1.005(ound, and 1 if not.)-3.505 F 1.004
+5.4 E .175(either the)144 304.8 R F3<ad56>2.675 E F0(or)2.675 E F3<ad76>
+2.675 E F0 .175(option is supplied, a description of)2.675 F F1(command)
+2.875 E F0 .174(is printed.)3.445 F(The)5.174 E F3<ad76>2.674 E F0 .174
+(option causes)2.674 F 3.317(as)144 316.8 S .817(ingle w)-3.317 F .817
+(ord indicating the command or \214lename used to in)-.1 F -.2(vo)-.4 G
+-.1(ke).2 G F1(command)3.618 E F0 .818(to be displayed; the)4.088 F F3
+<ad56>144 328.8 Q F0 .25(option produces a more v)2.75 F .25
+(erbose description.)-.15 F .249(If the)5.25 F F3<ad56>2.749 E F0(or)
+2.749 E F3<ad76>2.749 E F0 .249(option is supplied, the e)2.749 F .249
+(xit status)-.15 F 1.004(is 0 if)144 340.8 R F1(command)3.704 E F0 -.1
+(wa)4.274 G 3.504(sf).1 G 1.005(ound, and 1 if not.)-3.504 F 1.005
 (If neither option is supplied and an error occurred or)6.005 F F1
-(command)144.2 352.8 Q F0 1.598(cannot be found, the e)4.868 F 1.599
-(xit status is 127.)-.15 F 1.599(Otherwise, the e)6.599 F 1.599
-(xit status of the)-.15 F F3(command)4.099 E F0 -.2(bu)144 364.8 S
+(command)144.2 352.8 Q F0 1.599(cannot be found, the e)4.869 F 1.599
+(xit status is 127.)-.15 F 1.599(Otherwise, the e)6.599 F 1.598
+(xit status of the)-.15 F F3(command)4.098 E F0 -.2(bu)144 364.8 S
 (iltin is the e).2 E(xit status of)-.15 E F1(command)2.5 E F0(.).77 E F3
 (compgen)108 381.6 Q F0([)2.5 E F1(option)A F0 2.5(][)C F1(wor)-2.5 E(d)
--.37 E F0(])A .013(Generate possible completion matches for)144 393.6 R
+-.37 E F0(])A .012(Generate possible completion matches for)144 393.6 R
 F1(wor)2.513 E(d)-.37 E F0 .013(according to the)2.513 F F1(option)2.513
-E F0 .013(s, which may be an)B 2.512(yo)-.15 G(ption)-2.512 E .981
-(accepted by the)144 405.6 R F3(complete)3.481 E F0 -.2(bu)3.481 G .981
+E F0 .013(s, which may be an)B 2.513(yo)-.15 G(ption)-2.513 E .982
+(accepted by the)144 405.6 R F3(complete)3.482 E F0 -.2(bu)3.481 G .981
 (iltin with the e).2 F .981(xception of)-.15 F F3<ad70>3.481 E F0(and)
-3.481 E F3<ad72>3.481 E F0 3.481(,a)C .982(nd write the matches to the)
--3.481 F .131(standard output.)144 417.6 R .131(When using the)5.131 F
-F3<ad46>2.631 E F0(or)2.631 E F3<ad43>2.631 E F0 .131(options, the v)
-2.631 F .13(arious shell v)-.25 F .13(ariables set by the program-)-.25
-F(mable completion f)144 429.6 Q(acilities, while a)-.1 E -.25(va)-.2 G
+3.481 E F3<ad72>3.481 E F0 3.481(,a)C .981(nd write the matches to the)
+-3.481 F .13(standard output.)144 417.6 R .13(When using the)5.13 F F3
+<ad46>2.63 E F0(or)2.63 E F3<ad43>2.631 E F0 .131(options, the v)2.631 F
+.131(arious shell v)-.25 F .131(ariables set by the program-)-.25 F
+(mable completion f)144 429.6 Q(acilities, while a)-.1 E -.25(va)-.2 G
 (ilable, will not ha).25 E .3 -.15(ve u)-.2 H(seful v).15 E(alues.)-.25
 E .352(The matches will be generated in the same w)144 453.6 R .352
 (ay as if the programmable completion code had gen-)-.1 F .02(erated th\
